> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Details

> Get information about your profile, users and other account details.



## OpenAPI

````yaml /api-reference/services_documented/iam_api.yaml get /iam/clients/me
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: API Tokens
    description: >-
      Use permanent API tokens for regular automated requests to services.

      You can either set its validity period when creating it or issue a token
      for an unlimited time.

      Please address the API documentation of the specific product in order to
      check if it supports API tokens.


      Newer endpoints under `/v2/…` issue tokens using `_` (underscore) as the
      separator

      (for example `42_a1b2c3d4e5f6...`) and are the recommended way to create
      new tokens.

      Legacy endpoints that issue `$`-separated tokens are marked deprecated and
      will be removed

      on **2026-07-17**; tokens that were already issued keep authenticating.


      Provide your APIKey in the Authorization header.


      Example: ```curl -H "Authorization: APIKey 42_a1b2c3d4e5f6..."
      https://api.gcore.com/iam/users/me```


      Please note: When authorizing via SAML SSO, our system does not have any

      information about permissions given to the user by the identity provider.

      Even if the provider revokes the user's access rights, their tokens remain
      active.

      Therefore, if necessary, the token will need to be deleted manually.
    x-displayName: API Tokens
  - name: Users
    x-displayName: Users
paths:
  /iam/clients/me:
    get:
      tags:
        - Account
      summary: Account Details
      description: Get information about your profile, users and other account details.
      operationId: iamGetAccountDetails
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientBase'
        '401':
          $ref: '#/components/responses/401'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            account_overview = client.iam.get_account_overview()
            print(account_overview.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccountOverview, err := client.Iam.GetAccountOverview(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", accountOverview.ID)\n}\n"
components:
  schemas:
    ClientBase:
      type: object
      required:
        - id
        - email
        - name
        - status
        - companyName
        - deleted
        - is_test
        - has_active_admin
        - currentUser
        - capabilities
        - serviceStatuses
        - paidFeatures
        - freeFeatures
        - entryBaseDomain
        - bill_type
      properties:
        id:
          type: integer
          description: The account ID.
        users:
          type: array
          description: List of account users.
          items:
            $ref: '#/components/schemas/BaseUser'
        email:
          $ref: '#/components/schemas/ClientEmail'
        phone:
          $ref: '#/components/schemas/ClientPhone'
        name:
          $ref: '#/components/schemas/ClientName'
        status:
          $ref: '#/components/schemas/ClientStatus'
        companyName:
          $ref: '#/components/schemas/ClientCompanyName'
        website:
          $ref: '#/components/schemas/ClientWebsite'
        currentUser:
          $ref: '#/components/schemas/CurrentUser'
        capabilities:
          $ref: '#/components/schemas/ClientCapabilities'
        serviceStatuses:
          $ref: '#/components/schemas/ServiceEnabledStatusObject'
        paidFeatures:
          $ref: '#/components/schemas/PaidFeatureList'
        freeFeatures:
          $ref: '#/components/schemas/FreeFeatureList'
        entryBaseDomain:
          $ref: '#/components/schemas/ClientEntryBaseDomain'
        signup_process:
          $ref: '#/components/schemas/SignupProcess'
        deleted:
          $ref: '#/components/schemas/Deleted'
        bill_type:
          $ref: '#/components/schemas/ClientBillType'
        custom_id:
          $ref: '#/components/schemas/ClientCustomID'
        country_code:
          $ref: '#/components/schemas/ClientCountryCode'
        is_test:
          $ref: '#/components/schemas/ClientIsTest'
        has_active_admin:
          $ref: '#/components/schemas/ClientHasActiveUser'
    BaseUser:
      type: object
      properties:
        id:
          type: integer
          description: User's ID.
          readOnly: true
        email:
          $ref: '#/components/schemas/UserEmail'
        name:
          $ref: '#/components/schemas/UserName'
        lang:
          $ref: '#/components/schemas/Language'
        phone:
          $ref: '#/components/schemas/UserPhone'
        company:
          $ref: '#/components/schemas/UserCompany'
        reseller:
          type: integer
          description: Services provider ID.
          readOnly: true
        client:
          type: number
          description: User's account ID.
          readOnly: true
        deleted:
          type: boolean
          description: Deletion flag. If `true` then user was deleted.
          readOnly: true
        groups:
          $ref: '#/components/schemas/UserGroups'
        activated:
          type: boolean
          description: |-
            Email confirmation:
            - `true` – user confirmed the email;
            - `false` – user did not confirm the email.
          readOnly: true
        sso_auth:
          type: boolean
          description: SSO authentication flag. If `true` then user can login via SAML SSO.
          readOnly: true
        two_fa:
          type: boolean
          description: |-
            Two-step verification:
            - `true` – user enabled two-step verification;
            - `false` – user disabled two-step verification.
          readOnly: true
        auth_types:
          $ref: '#/components/schemas/AuthTypes'
    ClientEmail:
      type: string
      format: email
      description: The account email.
    ClientPhone:
      type: string
      description: Phone of a user who registered the requested account.
      nullable: true
    ClientName:
      type: string
      description: Name of a user who registered the requested account.
      nullable: true
    ClientStatus:
      type: string
      description: Status of the account.
      enum:
        - new
        - trial
        - trialend
        - active
        - integration
        - paused
        - preparation
        - ready
    ClientCompanyName:
      type: string
      description: The company name.
    ClientWebsite:
      type: string
      description: The company website.
    CurrentUser:
      type: integer
      description: ID of the current user.
    ClientCapabilities:
      type: array
      items:
        $ref: '#/components/schemas/ServiceName'
      description: System field. List of services available for the account.
    ServiceEnabledStatusObject:
      type: object
      description: >-
        An object of arrays which contains information about all services
        available for the requested account.
      properties:
        CDN:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        CLOUD:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        DDOS:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        DNS:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        STORAGE:
          $ref: '#/components/schemas/ServiceEnabledStatus'
        STREAMING:
          $ref: '#/components/schemas/ServiceEnabledStatus'
    PaidFeatureList:
      type: object
      description: >-
        An object of arrays which contains information about paid features
        available for the requested account.
      properties:
        CDN:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        CLOUD:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        DDOS:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        DNS:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        STORAGE:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
        STREAMING:
          type: array
          items:
            $ref: '#/components/schemas/PaidFeature'
      example:
        CDN:
          - feature_id: 1
            name: paid feature name
            service: CDN
        STREAMING:
          - feature_id: 2
            name: another paid feature name
            service: STREAMING
    FreeFeatureList:
      type: object
      description: >-
        An object of arrays which contains information about free features
        available for the requested account.
      properties:
        CDN:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        CLOUD:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        DDOS:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        DNS:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        STORAGE:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
        STREAMING:
          type: array
          items:
            $ref: '#/components/schemas/FreeFeature'
      example:
        CDN:
          - feature_id: 1
            name: free feature name
            service: CDN
        STREAMING:
          - feature_id: 2
            name: another free feature name
            service: STREAMING
    ClientEntryBaseDomain:
      type: string
      nullable: true
      description: System field. Control panel domain.
    SignupProcess:
      type: string
      nullable: true
      description: System field. Type of the account registration process.
      enum:
        - sign_up_full
        - sign_up_simple
    Deleted:
      type: boolean
      description: |-
        The field shows the status of the account:
        - `true` – the account has been deleted
        - `false` – the account is not deleted
      readOnly: true
    ClientBillType:
      type: string
      description: System field. Billing type of the account.
    ClientCustomID:
      type: string
      nullable: true
      description: The account custom ID.
    ClientCountryCode:
      type: string
      description: System field. The company country (ISO 3166-1 alpha-2 format).
    ClientIsTest:
      type: boolean
      description: |-
        System field:
        - `true` — a test account;
        - `false` — a production account.
    ClientHasActiveUser:
      type: boolean
      description: System field.
    UserEmail:
      type: string
      format: email
      description: User's email address.
    UserName:
      type: string
      description: User's name.
      nullable: true
    Language:
      type: string
      description: |-
        User's language.

        Defines language of the control panel and email messages.
      enum:
        - de
        - en
        - ru
        - zh
        - az
    UserPhone:
      type: string
      description: User's phone.
      nullable: true
    UserCompany:
      type: string
      description: User's company.
    UserGroups:
      type: array
      description: |-
        User's group in the current account.

        IAM supports 5 groups:

         - Users
        - Administrators
        - Engineers
        - Purge and Prefetch only (API)
        - Purge and Prefetch only (API+Web)
      items:
        $ref: '#/components/schemas/Group'
    AuthTypes:
      type: array
      items:
        $ref: '#/components/schemas/AuthType'
      description: System field. List of auth types available for the account.
    ServiceName:
      type: string
      description: Service's name.
      enum:
        - CDN
        - STORAGE
        - STREAMING
        - DNS
        - DDOS
        - CLOUD
    ServiceEnabledStatus:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ServiceStatus'
        enabled:
          type: boolean
          description: '`true` - service is available in the Control Panel.'
    PaidFeature:
      type: object
      description: Feature object.
      properties:
        feature_id:
          type: integer
          description: Feature ID.
        service:
          allOf:
            - description: Name of a service which the feature belongs to.
            - $ref: '#/components/schemas/ServiceName'
        name:
          type: string
          description: Name of the feature.
        create_date:
          type: string
          description: >-
            Date and time when the feature was activated (ISO 8086/RFC 3339
            format).
        paid_feature_id:
          type: integer
          description: Internal feature activation ID.
    FreeFeature:
      type: object
      description: Feature object.
      properties:
        feature_id:
          type: integer
          description: Feature ID.
        service:
          allOf:
            - description: Name of a service which the feature belongs to.
            - $ref: '#/components/schemas/ServiceName'
        name:
          type: string
          description: Name of the feature.
        create_date:
          type: string
          description: >-
            Date and time when the feature was activated (ISO 8086/RFC 3339
            format).
        free_feature_id:
          type: integer
          description: Internal feature activation ID.
    Group:
      type: object
      properties:
        id:
          type: integer
          example: 1
          description: >-
            Group's ID: Possible values are:   


            - 1 - Administrators* 2 - Users* 5 - Engineers* 3009 - Purge and
            Prefetch only (API+Web)* 3022 - Purge and Prefetch only (API)
        name:
          type: string
          example: Administrators
          description: Group's name.
          enum:
            - Users
            - Administrators
            - Engineers
            - Purge and Prefetch only (API)
            - Purge and Prefetch only (API+Web)
    AuthType:
      type: string
      description: Auth types.
      enum:
        - password
        - sso
        - github
        - google-oauth2
    ServiceStatus:
      type: string
      description: Status of the service.
      enum:
        - new
        - trial
        - trialend
        - active
        - paused
        - activating
        - deleted
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````